#ifndef DATACIRCLEFAKE_H_SEEN
#define DATACIRCLEFAKE_H_SEEN

#include "datacirclebase.h"

class DataCircleFake : public DataCircleBase {

 public:

  DataCircleFake();
  DataCircleFake(double,double,double,int,double);
  virtual ~DataCircleFake();

  virtual int NMeasurements() const;
  virtual double getData(double) const;
  virtual double getTMeasure(double) const;
  virtual void print(ostream&) const;

 private:

  int _NMeasurements;
  double* _mesures;
};
#endif
